List knowledge base files
List all knowledge-base files for the authenticated user.
user_idintegerReseller keys only: act as one of your clients by its user id. Omit it to act on your own account. [How acting for a client works](/docs/reseller/your-clients/acting-as-clients).
curl -X GET 'https://omnidim.io/api/v1/knowledge_base/list' \ -H 'Authorization: Bearer YOUR_API_KEY'
{ "success": true, "files": [ { "id": 964, "name": "customer_call.mp3", "original_filename": "customer_call.mp3", "file_size": 1145133, "mime_type": "audio/mpeg", "download_url": "https://omnidim.s3.amazonaws.com/live_uploads/1234/20260411_162353_customer_call.mp3?AWSAccessKeyId=AKIA...&Signature=...&Expires=...", "upload_status": "uploaded", "upload_date": "04/11/2026 16:24:00", "user_name": "Demo User", "user_id": 1234, "organization_id": 14 } ] }
BearerAuthAuthorizationBearer <token>Bearer token authentication. Obtain your API key from the OmniDimension dashboard.
user_id?integerReseller keys only: act as one of your clients by its user id. Omit it to act on your own account. How acting for a client works.
Response body
application/jsonList of files.
application/jsonsuccess?booleanfiles?Was this page helpful?
Restore an agent version
Restore a version onto the live agent. Your current setup is saved first as a backup version, so restoring is undoable. Configuration is brought back; any knowledge files or integrations that were deleted since this version was saved can't be re-linked, and are reported in `skipped`.
Check file upload capability
Check whether a file can be uploaded based on size and type.
